/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.POToSupplier;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype mi-detail */
public class PODetail {
    public BigDecimal calcTotal() {
        return total;
    }

    public BigDecimal recalcTotal() {
        return total;
    }

    public BigDecimal calcTotalDiscount() {
        return new BigDecimal(0);
    }

    public int calcQtyStillToBeDelivered() {
        return 0;
    }

    public Vector assessDeliveryTimeliness() {
        return new Vector();
    }

    private int quantity;
    private Date dateDue;
    private int shippingMethod;
    private BigDecimal unitPriceBeforeDiscount;
    private BigDecimal unitDiscountPercentage;
    private BigDecimal total;

    /**
     *@clientCardinality 0..*
     * @supplierCardinality 0..1
     */
    private MatlResMgmt.MaterialResource.MatlResQtyDesc lnkUnnamed4;

    /**
     *@clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private MatlResMgmt.MaterialResource.MatlResBeingOrdered lnkUnnamed5;

    /**
     *@supplierCardinality 0..*
     *@clientCardinality 1
     */
    private MatlResMgmt.DeliveryFromSupplier.DeliveryDetail lnkUnnamed1;
    private int unitDiscountAmount;
}


